# osgDB::DotOsgWrapper Class Reference

Wrapper class for specifying read and write functions for extending the .osg file format. More...

Inheritance diagram for osgDB::DotOsgWrapper:

[legend]
List of all members.

## Public Types

typedef std::vector< std::string > | Associates
typedef bool(* | ReadFunc )(osg::Object &, osgDB::Input &)
typedef bool(* | WriteFunc )(const osg::Object &, osgDB::Output &)
enum | ReadWriteMode { READ_AND_WRITE, READ_ONLY }

## Public Member Functions

| DotOsgWrapper (osg::Object *proto, const std::string &name, const std::string &associates, ReadFunc readFunc, WriteFunc writeFunc, ReadWriteMode readWriteMode=READ_AND_WRITE)
const osg::Object * | getPrototype () const
const std::string & | getName () const
const Associates & | getAssociates () const
ReadFunc | getReadFunc () const
WriteFunc | getWriteFunc () const
ReadWriteMode | getReadWriteMode () const

## Protected Member Functions

| DotOsgWrapper ()
| protected to prevent inappropriate creation of wrappers.
| DotOsgWrapper (DotOsgWrapper &)
| protected to prevent inappropriate creation of wrappers.
virtual | ~DotOsgWrapper ()
| protected to prevent wrapper being created on stack.

## Protected Attributes

osg::ref_ptr< osg::Object > | _prototype
std::string | _name
Associates | _associates
ReadFunc | _readFunc
WriteFunc | _writeFunc
ReadWriteMode | _readWriteMode

## Detailed Description

Wrapper class for specifying read and write functions for extending the .osg file format.

## Member Typedef Documentation

typedef std::vector<std::string> osgDB::DotOsgWrapper::Associates

typedef bool(* osgDB::DotOsgWrapper::ReadFunc)(osg::Object &, osgDB::Input &)

typedef bool(* osgDB::DotOsgWrapper::WriteFunc)(const osg::Object &, osgDB::Output &)

## Member Enumeration Documentation

enum osgDB::DotOsgWrapper::ReadWriteMode

Enumeration values:

  READ_AND_WRITE |
  READ_ONLY |

## Constructor & Destructor Documentation

DotOsgWrapper::DotOsgWrapper | ( | osg::Object * | proto,
|  | const std::string & | name,
|  | const std::string & | associates,
|  | ReadFunc | readFunc,
|  | WriteFunc | writeFunc,
|  | ReadWriteMode | readWriteMode = `READ_AND_WRITE`
| ) |

osgDB::DotOsgWrapper::DotOsgWrapper | ( |  | ) | `[inline, protected]`

| protected to prevent inappropriate creation of wrappers.

osgDB::DotOsgWrapper::DotOsgWrapper | ( | DotOsgWrapper & |  | ) | `[inline, protected]`

| protected to prevent inappropriate creation of wrappers.

virtual osgDB::DotOsgWrapper::~DotOsgWrapper | ( |  | ) | `[inline, protected, virtual]`

| protected to prevent wrapper being created on stack.

## Member Function Documentation

const Associates& osgDB::DotOsgWrapper::getAssociates | ( |  | ) | const`[inline]`

const std::string& osgDB::DotOsgWrapper::getName | ( |  | ) | const`[inline]`

const osg::Object* osgDB::DotOsgWrapper::getPrototype | ( |  | ) | const`[inline]`

ReadFunc osgDB::DotOsgWrapper::getReadFunc | ( |  | ) | const`[inline]`

ReadWriteMode osgDB::DotOsgWrapper::getReadWriteMode | ( |  | ) | const`[inline]`

WriteFunc osgDB::DotOsgWrapper::getWriteFunc | ( |  | ) | const`[inline]`

## Member Data Documentation

Associates osgDB::DotOsgWrapper::_associates `[protected]`

std::string osgDB::DotOsgWrapper::_name `[protected]`

osg::ref_ptr<osg::Object> osgDB::DotOsgWrapper::_prototype `[protected]`

ReadFunc osgDB::DotOsgWrapper::_readFunc `[protected]`

ReadWriteMode osgDB::DotOsgWrapper::_readWriteMode `[protected]`

WriteFunc osgDB::DotOsgWrapper::_writeFunc `[protected]`

The documentation for this class was generated from the following files:

- DotOsgWrapper
- DotOsgWrapper.cpp